Switched from Eclipse 4.13 (2019-09) to 4.14 (2019-12). 88/3788/2
authorTuukka Lehtonen <tuukka.lehtonen@semantum.fi>
Thu, 16 Jan 2020 10:51:06 +0000 (12:51 +0200)
committerTuukka Lehtonen <tuukka.lehtonen@semantum.fi>
Thu, 16 Jan 2020 11:15:55 +0000 (13:15 +0200)
gitlab #405

Change-Id: If09c23c206d8591fd07bfae5bdab5ab536b26f30

releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.14.target [moved from releng/org.simantics.sdk.build.targetdefinition/simantics-4.13.target with 83% similarity]
releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.14.tpd [moved from releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.13.tpd with 96% similarity]
releng/org.simantics.sdk.build.targetdefinition/simantics-4.14.target [moved from releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.13.target with 90% similarity]
releng/org.simantics.sdk.build.targetdefinition/simantics-4.14.tpd [moved from releng/org.simantics.sdk.build.targetdefinition/simantics-4.13.tpd with 55% similarity]

similarity index 83%
rename from releng/org.simantics.sdk.build.targetdefinition/simantics-4.13.target
rename to releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.14.target
index 2a2f995759b797a770c00543946937e1a8cbadfa..20c81978bc89510bd2ccd2c0c005cbf4321917a1 100644 (file)
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>\r
-<?pde?>\r
-<!-- generated with https://github.com/eclipse-cbi/targetplatform-dsl -->\r
-<target name="Simantics 1.42.0" sequenceNumber="1571396371">\r
-  <locations>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="com.google.guava" version="27.1.0.v20190517-1946"/>\r
-      <unit id="com.google.guava.source" version="27.1.0.v20190517-1946"/>\r
-      <unit id="org.objectweb.asm" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.analysis" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.analysis.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.commons" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.commons.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.tree" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.tree.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.util" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.util.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.xml" version="5.0.1.v201404251740"/>\r
-      <unit id="org.objectweb.asm.xml.source" version="5.0.1.v201404251740"/>\r
-      <repository location="https://download.eclipse.org/tools/orbit/downloads/drops/R20190827152740/repository"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="javax.xml" version="1.3.4.v201005080400"/>\r
-      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>\r
-      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>\r
-      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>\r
-      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>\r
-      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>\r
-      <unit id="org.eclipse.emf.sdk.feature.group" version="2.19.0.v20190824-1315"/>\r
-      <unit id="org.eclipse.epp.mpc.feature.group" version="1.8.0.v20190725-1807"/>\r
-      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.8.0.v20190725-1807"/>\r
-      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.net" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.net.source" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.24.2.v20180905-0014"/>\r
-      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.33.201907111840"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.33.20190711143914"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.33.20190711143914"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.33.201907111840"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.33.20190711143914"/>\r
-      <unit id="org.eclipse.userstorage.feature.group" version="1.2.0.v20190308-0433"/>\r
-      <unit id="org.eclipse.userstorage.oauth" version="1.1.0.v20190307-0457"/>\r
-      <unit id="org.eclipse.userstorage.oauth.source" version="1.1.0.v20190307-0457"/>\r
-      <unit id="org.eclipse.userstorage.source" version="1.2.0.v20190307-0457"/>\r
-      <unit id="org.eclipse.userstorage.ui.source" version="1.1.0.v20190307-0457"/>\r
-      <repository location="http://download.eclipse.org/releases/2019-09/"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.apache.httpcomponents.httpclient" version="4.5.6.v20190213-1430"/>\r
-      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.6.v20190213-1430"/>\r
-      <unit id="org.apache.httpcomponents.httpcore" version="4.4.10.v20190123-2214"/>\r
-      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.10.v20190123-2214"/>\r
-      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.600.v20190830-1434"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.13.0.v20190710-1453"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.13.0.v20190710-1453"/>\r
-      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.5.3.v20190423-0625"/>\r
-      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.5.3.v20190423-0625"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.200.v20190502-0212"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.200.v20190502-0212"/>\r
-      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.2.300.v20190716-0825"/>\r
-      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.19.0.v20190907-0428"/>\r
-      <unit id="org.eclipse.help.feature.group" version="2.2.700.v20190916-1045"/>\r
-      <unit id="org.eclipse.help.source.feature.group" version="2.2.700.v20190916-1045"/>\r
-      <unit id="org.eclipse.platform.feature.group" version="4.13.0.v20190916-1323"/>\r
-      <unit id="org.eclipse.platform.source.feature.group" version="4.13.0.v20190916-1323"/>\r
-      <unit id="org.eclipse.rcp.feature.group" version="4.13.0.v20190916-1045"/>\r
-      <unit id="org.eclipse.rcp.source.feature.group" version="4.13.0.v20190916-1045"/>\r
-      <unit id="org.eclipse.releng.tools.feature.group" version="3.10.500.v20190715-1949"/>\r
-      <unit id="org.eclipse.sdk.ide" version="4.13.0.I20190916-1045"/>\r
-      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.107.500.v20190705-0858"/>\r
-      <repository location="http://download.eclipse.org/eclipse/updates/4.13/"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.14.5.v20190423-0614"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.14.5.v20190423-0614"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.feature.group" version="3.14.5.v20190502-0212"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.source.feature.group" version="3.14.5.v20190502-0212"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.source.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <repository location="http://download.eclipse.org/rt/ecf/3.14.5/site.p2"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201907151344"/>\r
-      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.feature.feature.group" version="2.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.4.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.ctreecombo.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.floatingtext.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.geomap.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.nebulaslider.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.breadcrumb.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.calculator.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.checkboxgroup.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.columnbrowser.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.commons.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.dialog.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.duallist.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.header.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.heapmanager.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.horizontalspinner.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.launcher.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.logindialog.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.multichoice.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.notifier.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.panels.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.preferencewindow.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.promptsupport.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.propertytable.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.rangeslider.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.roundedtoolbar.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.starrating.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.switchbutton.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.textassist.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.titledseparator.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.tipoftheday.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.4.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.passwordrevealer.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.progresscircle.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.3.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.splitbutton.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.2.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/release/"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.5.0/repository/"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.18.0.v20190927-1557"/>\r
-      <repository location="https://download.eclipse.org/e4/snapshots/org.eclipse.e4.tools/latest/"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201806070735"/>\r
-      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201806070735"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/incubation/"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>\r
-      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>\r
-      <unit id="ch.qos.logback.classic" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core.source" version="1.2.3"/>\r
-      <unit id="com.google.android.annotations" version="4.1.1.4"/>\r
-      <unit id="com.google.android.annotations.source" version="4.1.1.4"/>\r
-      <unit id="com.google.api.grpc.proto-google-common-protos" version="1.12.0"/>\r
-      <unit id="com.google.api.grpc.proto-google-common-protos.source" version="1.12.0"/>\r
-      <unit id="com.google.errorprone.error_prone_annotations" version="2.3.2"/>\r
-      <unit id="com.google.errorprone.error_prone_annotations.source" version="2.3.2"/>\r
-      <unit id="com.google.gson" version="2.7.0"/>\r
-      <unit id="com.google.gson.source" version="2.7.0"/>\r
-      <unit id="com.google.protobuf" version="3.7.1"/>\r
-      <unit id="com.google.protobuf.source" version="3.7.1"/>\r
-      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>\r
-      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>\r
-      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>\r
-      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>\r
-      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.koloboke.compile" version="0.5.1"/>\r
-      <unit id="com.koloboke.compile.source" version="0.5.1"/>\r
-      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.lowagie.text" version="2.1.7.b1"/>\r
-      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>\r
-      <unit id="com.sun.jna" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform.source" version="4.3.0"/>\r
-      <unit id="com.sun.jna.source" version="4.3.0"/>\r
-      <unit id="freemarker" version="2.3.23.stable"/>\r
-      <unit id="freemarker.source" version="2.3.23.stable"/>\r
-      <unit id="gnu.trove3" version="3.0.3"/>\r
-      <unit id="gnu.trove3.source" version="3.0.3"/>\r
-      <unit id="io.netty.buffer" version="4.1.35.Final"/>\r
-      <unit id="io.netty.buffer.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http2" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http2.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-socks" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-socks.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.common" version="4.1.35.Final"/>\r
-      <unit id="io.netty.common.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler-proxy" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler-proxy.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.resolver" version="4.1.35.Final"/>\r
-      <unit id="io.netty.resolver.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.transport" version="4.1.35.Final"/>\r
-      <unit id="io.netty.transport.source" version="4.1.35.Final"/>\r
-      <unit id="io.opencensus.api" version="0.21.0"/>\r
-      <unit id="io.opencensus.api.source" version="0.21.0"/>\r
-      <unit id="io.opencensus.contrib-grpc-metrics" version="0.21.0"/>\r
-      <unit id="io.opencensus.contrib-grpc-metrics.source" version="0.21.0"/>\r
-      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>\r
-      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>\r
-      <unit id="jakarta-regexp" version="1.4.0"/>\r
-      <unit id="javassist" version="3.20.0.GA"/>\r
-      <unit id="javassist.source" version="3.20.0.GA"/>\r
-      <unit id="javax.servlet-api" version="3.1.0"/>\r
-      <unit id="javax.servlet-api.source" version="3.1.0"/>\r
-      <unit id="javax.validation.api" version="1.1.0.Final"/>\r
-      <unit id="javax.validation.api.source" version="1.1.0.Final"/>\r
-      <unit id="javax.ws.rs-api" version="2.0.1"/>\r
-      <unit id="javax.ws.rs-api.source" version="2.0.1"/>\r
-      <unit id="net.jcip.annotations" version="1.0.0"/>\r
-      <unit id="net.jcip.annotations.source" version="1.0.0"/>\r
-      <unit id="net.ucanaccess" version="3.0.7"/>\r
-      <unit id="net.ucanaccess.source" version="3.0.7"/>\r
-      <unit id="org.antlr.runtime" version="3.5.2"/>\r
-      <unit id="org.antlr.runtime.source" version="3.5.2"/>\r
-      <unit id="org.apache.aries.spifly.core-internal" version="1.0.14"/>\r
-      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.14"/>\r
-      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.14"/>\r
-      <unit id="org.apache.aries.util" version="1.0.0"/>\r
-      <unit id="org.apache.commons.codec" version="1.10.0"/>\r
-      <unit id="org.apache.commons.codec.source" version="1.10.0"/>\r
-      <unit id="org.apache.commons.collections" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections.source" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections4" version="4.1.0"/>\r
-      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>\r
-      <unit id="org.apache.commons.compress" version="1.18.0"/>\r
-      <unit id="org.apache.commons.compress.source" version="1.18.0"/>\r
-      <unit id="org.apache.commons.io" version="2.4.0"/>\r
-      <unit id="org.apache.commons.io.source" version="2.4.0"/>\r
-      <unit id="org.apache.commons.lang" version="2.6.0"/>\r
-      <unit id="org.apache.commons.lang.source" version="2.6.0"/>\r
-      <unit id="org.apache.commons.logging" version="1.2.0"/>\r
-      <unit id="org.apache.commons.logging.source" version="1.2.0"/>\r
-      <unit id="org.apache.commons.math3" version="3.6.1"/>\r
-      <unit id="org.apache.commons.math3.source" version="3.6.1"/>\r
-      <unit id="org.apache.log4j" version="1.2.17"/>\r
-      <unit id="org.apache.log4j.source" version="1.2.17"/>\r
-      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.pdfbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api" version="9.2.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="9.2.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections" version="9.2.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections.source" version="9.2.0"/>\r
-      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>\r
-      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>\r
-      <unit id="com.github.benmanes.caffeine" version="2.6.2"/>\r
-      <unit id="com.github.benmanes.caffeine.source" version="2.6.2"/>\r
-      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>\r
-      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>\r
-      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>\r
-      <unit id="org.ini4j" version="0.5.4"/>\r
-      <unit id="org.ini4j.source" version="0.5.4"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="jaxen" version="1.1.6"/>\r
-      <unit id="jaxen.source" version="1.1.6"/>\r
-      <unit id="org.jdom2" version="2.0.6.b0001"/>\r
-      <unit id="org.jdom2.source" version="2.0.6.b0001"/>\r
-      <unit id="org.jfree.jchart" version="1.0.19"/>\r
-      <unit id="org.jfree.jchart.source" version="1.0.19"/>\r
-      <unit id="org.jfree.jcommon" version="1.0.23"/>\r
-      <unit id="org.jfree.jcommon.source" version="1.0.23"/>\r
-      <unit id="org.jsoup" version="1.11.3"/>\r
-      <unit id="org.jsoup.source" version="1.11.3"/>\r
-      <unit id="org.jvnet.mimepull" version="1.9.6"/>\r
-      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>\r
-      <unit id="org.mozilla.rhino" version="1.7.7.1"/>\r
-      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>\r
-      <unit id="org.objenesis" version="2.2.0"/>\r
-      <unit id="org.objenesis.source" version="2.2.0"/>\r
-      <unit id="org.slf4j.api" version="1.7.25.b001"/>\r
-      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>\r
-      <unit id="org.supercsv" version="2.4.0"/>\r
-      <unit id="org.supercsv.source" version="2.4.0"/>\r
-      <unit id="org.yaml.snakeyaml" version="1.23.0"/>\r
-      <unit id="org.yaml.snakeyaml.source" version="1.23.0"/>\r
-      <unit id="org.zeroturnaround.zt-exec" version="1.10.0"/>\r
-      <unit id="org.zeroturnaround.zt-exec.source" version="1.10.0"/>\r
-      <unit id="pgjdbc-ng" version="0.7.1"/>\r
-      <unit id="pgjdbc-ng.source" version="0.7.1"/>\r
-      <unit id="stax2-api" version="3.1.4"/>\r
-      <unit id="stax2-api.source" version="3.1.4"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/maven"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.apache.batik" version="1.8.0.201611220734"/>\r
-      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>\r
-      <unit id="io.grpc.feature.feature.group" version="1.21.0.201906191442"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/manual"/>\r
-    </location>\r
-    <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">\r
-      <unit id="org.simantics.sdk.feature.group" version="0.0.0"/>\r
-      <unit id="org.simantics.sdk.source.feature.group" version="0.0.0"/>\r
-      <repository location="http://www.simantics.org/download/master/sdk"/>\r
-    </location>\r
-  </locations>\r
-</target>
\ No newline at end of file
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?pde?>
+<!-- generated with https://github.com/eclipse-cbi/targetplatform-dsl -->
+<target name="Eclipse 2019-12 (4.14)" sequenceNumber="1579161698">
+  <locations>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="com.google.guava" version="27.1.0.v20190517-1946"/>
+      <unit id="com.google.guava.source" version="27.1.0.v20190517-1946"/>
+      <unit id="org.objectweb.asm" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.analysis" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.analysis.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.commons" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.commons.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.tree" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.tree.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.util" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.util.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.xml" version="5.0.1.v201404251740"/>
+      <unit id="org.objectweb.asm.xml.source" version="5.0.1.v201404251740"/>
+      <repository location="https://download.eclipse.org/tools/orbit/downloads/drops/R20191126223242/repository"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="javax.xml" version="1.3.4.v201005080400"/>
+      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
+      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>
+      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>
+      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>
+      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.14.600.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.14.600.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient45.feature.feature.group" version="1.0.100.v20191024-1546"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient45.feature.source.feature.group" version="1.0.100.v20191024-1546"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.200.v20191024-1546"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.200.v20191024-1546"/>
+      <unit id="org.eclipse.emf.sdk.feature.group" version="2.20.0.v20191028-0905"/>
+      <unit id="org.eclipse.epp.mpc.feature.group" version="1.8.1.v20191106-1317"/>
+      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.8.1.v20191106-1317"/>
+      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.net" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.net.source" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.24.2.v20180905-0014"/>
+      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.tasks.core" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.tasks.ui" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.35.201912061959"/>
+      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.35.20191206145759"/>
+      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.35.20191206145759"/>
+      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.35.201912061959"/>
+      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.35.20191206145759"/>
+      <unit id="org.eclipse.userstorage.feature.group" version="1.2.0.v20191120-1614"/>
+      <unit id="org.eclipse.userstorage.oauth" version="1.1.0.v20190307-0457"/>
+      <unit id="org.eclipse.userstorage.oauth.source" version="1.1.0.v20190307-0457"/>
+      <unit id="org.eclipse.userstorage.source" version="1.2.0.v20190307-0457"/>
+      <unit id="org.eclipse.userstorage.ui.source" version="1.1.0.v20190307-0457"/>
+      <repository location="http://download.eclipse.org/releases/2019-12/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.httpcomponents.httpclient" version="4.5.6.v20190503-0009"/>
+      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.6.v20190503-0009"/>
+      <unit id="org.apache.httpcomponents.httpcore" version="4.4.10.v20190123-2214"/>
+      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.10.v20190123-2214"/>
+      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.700.v20191122-2104"/>
+      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.14.0.v20191115-2149"/>
+      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.14.0.v20191115-2149"/>
+      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.5.400.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.5.400.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.300.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.300.v20191023-2007"/>
+      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.2.400.v20191014-1907"/>
+      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.20.0.v20191122-2104"/>
+      <unit id="org.eclipse.help.feature.group" version="2.3.0.v20191210-0610"/>
+      <unit id="org.eclipse.help.source.feature.group" version="2.3.0.v20191210-0610"/>
+      <unit id="org.eclipse.platform.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.platform.source.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.rcp.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.rcp.source.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.releng.tools.feature.group" version="3.10.600.v20190918-0543"/>
+      <unit id="org.eclipse.sdk.ide" version="4.14.0.I20191210-0610"/>
+      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.107.600.v20191004-1502"/>
+      <repository location="http://download.eclipse.org/eclipse/updates/4.14/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201907151344"/>
+      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.feature.feature.group" version="2.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.4.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.ctreecombo.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.floatingtext.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.geomap.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.nebulaslider.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.breadcrumb.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.calculator.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.checkboxgroup.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.columnbrowser.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.commons.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.dialog.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.duallist.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.header.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.heapmanager.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.horizontalspinner.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.launcher.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.logindialog.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.multichoice.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.notifier.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.panels.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.preferencewindow.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.promptsupport.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.propertytable.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.rangeslider.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.roundedtoolbar.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.starrating.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.switchbutton.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.textassist.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.titledseparator.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.tipoftheday.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.4.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.passwordrevealer.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.progresscircle.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.3.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.splitbutton.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.2.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.1.0.201907151344"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/release/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.1.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.1.201909181823"/>
+      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.6.0/repository/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.18.0.v20200110-1352"/>
+      <repository location="https://download.eclipse.org/e4/snapshots/org.eclipse.e4.tools/latest/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201806070735"/>
+      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201806070735"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/incubation/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>
+      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>
+      <unit id="ch.qos.logback.classic" version="1.2.3"/>
+      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>
+      <unit id="ch.qos.logback.core" version="1.2.3"/>
+      <unit id="ch.qos.logback.core.source" version="1.2.3"/>
+      <unit id="com.google.android.annotations" version="4.1.1.4"/>
+      <unit id="com.google.android.annotations.source" version="4.1.1.4"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos" version="1.12.0"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos.source" version="1.12.0"/>
+      <unit id="com.google.errorprone.error_prone_annotations" version="2.3.2"/>
+      <unit id="com.google.errorprone.error_prone_annotations.source" version="2.3.2"/>
+      <unit id="com.google.gson" version="2.7.0"/>
+      <unit id="com.google.gson.source" version="2.7.0"/>
+      <unit id="com.google.protobuf" version="3.7.1"/>
+      <unit id="com.google.protobuf.source" version="3.7.1"/>
+      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>
+      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>
+      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>
+      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>
+      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>
+      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>
+      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>
+      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>
+      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>
+      <unit id="com.koloboke.compile" version="0.5.1"/>
+      <unit id="com.koloboke.compile.source" version="0.5.1"/>
+      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>
+      <unit id="com.lowagie.text" version="2.1.7.b1"/>
+      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>
+      <unit id="com.sun.jna" version="4.3.0"/>
+      <unit id="com.sun.jna.platform" version="4.3.0"/>
+      <unit id="com.sun.jna.platform.source" version="4.3.0"/>
+      <unit id="com.sun.jna.source" version="4.3.0"/>
+      <unit id="freemarker" version="2.3.23.stable"/>
+      <unit id="freemarker.source" version="2.3.23.stable"/>
+      <unit id="gnu.trove3" version="3.0.3"/>
+      <unit id="gnu.trove3.source" version="3.0.3"/>
+      <unit id="io.netty.buffer" version="4.1.35.Final"/>
+      <unit id="io.netty.buffer.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec" version="4.1.35.Final"/>
+      <unit id="io.netty.codec.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http2" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http2.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-socks" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-socks.source" version="4.1.35.Final"/>
+      <unit id="io.netty.common" version="4.1.35.Final"/>
+      <unit id="io.netty.common.source" version="4.1.35.Final"/>
+      <unit id="io.netty.handler" version="4.1.35.Final"/>
+      <unit id="io.netty.handler.source" version="4.1.35.Final"/>
+      <unit id="io.netty.handler-proxy" version="4.1.35.Final"/>
+      <unit id="io.netty.handler-proxy.source" version="4.1.35.Final"/>
+      <unit id="io.netty.resolver" version="4.1.35.Final"/>
+      <unit id="io.netty.resolver.source" version="4.1.35.Final"/>
+      <unit id="io.netty.transport" version="4.1.35.Final"/>
+      <unit id="io.netty.transport.source" version="4.1.35.Final"/>
+      <unit id="io.opencensus.api" version="0.21.0"/>
+      <unit id="io.opencensus.api.source" version="0.21.0"/>
+      <unit id="io.opencensus.contrib-grpc-metrics" version="0.21.0"/>
+      <unit id="io.opencensus.contrib-grpc-metrics.source" version="0.21.0"/>
+      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>
+      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>
+      <unit id="jakarta-regexp" version="1.4.0"/>
+      <unit id="javassist" version="3.20.0.GA"/>
+      <unit id="javassist.source" version="3.20.0.GA"/>
+      <unit id="javax.servlet-api" version="3.1.0"/>
+      <unit id="javax.servlet-api.source" version="3.1.0"/>
+      <unit id="javax.validation.api" version="1.1.0.Final"/>
+      <unit id="javax.validation.api.source" version="1.1.0.Final"/>
+      <unit id="javax.ws.rs-api" version="2.0.1"/>
+      <unit id="javax.ws.rs-api.source" version="2.0.1"/>
+      <unit id="net.jcip.annotations" version="1.0.0"/>
+      <unit id="net.jcip.annotations.source" version="1.0.0"/>
+      <unit id="net.ucanaccess" version="3.0.7"/>
+      <unit id="net.ucanaccess.source" version="3.0.7"/>
+      <unit id="org.antlr.runtime" version="3.5.2"/>
+      <unit id="org.antlr.runtime.source" version="3.5.2"/>
+      <unit id="org.apache.aries.spifly.core-internal" version="1.0.14"/>
+      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.14"/>
+      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.14"/>
+      <unit id="org.apache.aries.util" version="1.0.0"/>
+      <unit id="org.apache.commons.codec" version="1.10.0"/>
+      <unit id="org.apache.commons.codec.source" version="1.10.0"/>
+      <unit id="org.apache.commons.collections" version="3.2.2"/>
+      <unit id="org.apache.commons.collections.source" version="3.2.2"/>
+      <unit id="org.apache.commons.collections4" version="4.1.0"/>
+      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>
+      <unit id="org.apache.commons.compress" version="1.18.0"/>
+      <unit id="org.apache.commons.compress.source" version="1.18.0"/>
+      <unit id="org.apache.commons.io" version="2.4.0"/>
+      <unit id="org.apache.commons.io.source" version="2.4.0"/>
+      <unit id="org.apache.commons.lang" version="2.6.0"/>
+      <unit id="org.apache.commons.lang.source" version="2.6.0"/>
+      <unit id="org.apache.commons.logging" version="1.2.0"/>
+      <unit id="org.apache.commons.logging.source" version="1.2.0"/>
+      <unit id="org.apache.commons.math3" version="3.6.1"/>
+      <unit id="org.apache.commons.math3.source" version="3.6.1"/>
+      <unit id="org.apache.log4j" version="1.2.17"/>
+      <unit id="org.apache.log4j.source" version="1.2.17"/>
+      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.pdfbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>
+      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api" version="9.2.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="9.2.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections" version="9.2.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections.source" version="9.2.0"/>
+      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>
+      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>
+      <unit id="com.github.benmanes.caffeine" version="2.6.2"/>
+      <unit id="com.github.benmanes.caffeine.source" version="2.6.2"/>
+      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>
+      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>
+      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>
+      <unit id="org.ini4j" version="0.5.4"/>
+      <unit id="org.ini4j.source" version="0.5.4"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="jaxen" version="1.1.6"/>
+      <unit id="jaxen.source" version="1.1.6"/>
+      <unit id="org.jdom2" version="2.0.6.b0001"/>
+      <unit id="org.jdom2.source" version="2.0.6.b0001"/>
+      <unit id="org.jfree.jchart" version="1.0.19"/>
+      <unit id="org.jfree.jchart.source" version="1.0.19"/>
+      <unit id="org.jfree.jcommon" version="1.0.23"/>
+      <unit id="org.jfree.jcommon.source" version="1.0.23"/>
+      <unit id="org.jsoup" version="1.11.3"/>
+      <unit id="org.jsoup.source" version="1.11.3"/>
+      <unit id="org.jvnet.mimepull" version="1.9.6"/>
+      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>
+      <unit id="org.mozilla.rhino" version="1.7.7.1"/>
+      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>
+      <unit id="org.objenesis" version="2.2.0"/>
+      <unit id="org.objenesis.source" version="2.2.0"/>
+      <unit id="org.slf4j.api" version="1.7.25.b001"/>
+      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>
+      <unit id="org.supercsv" version="2.4.0"/>
+      <unit id="org.supercsv.source" version="2.4.0"/>
+      <unit id="org.yaml.snakeyaml" version="1.23.0"/>
+      <unit id="org.yaml.snakeyaml.source" version="1.23.0"/>
+      <unit id="org.zeroturnaround.zt-exec" version="1.10.0"/>
+      <unit id="org.zeroturnaround.zt-exec.source" version="1.10.0"/>
+      <unit id="pgjdbc-ng" version="0.7.1"/>
+      <unit id="pgjdbc-ng.source" version="0.7.1"/>
+      <unit id="stax2-api" version="3.1.4"/>
+      <unit id="stax2-api.source" version="3.1.4"/>
+      <repository location="http://www.simantics.org/download/master/external-components/maven"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.batik" version="1.8.0.201611220734"/>
+      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>
+      <unit id="io.grpc.feature.feature.group" version="1.21.0.201906191442"/>
+      <repository location="http://www.simantics.org/download/master/external-components/manual"/>
+    </location>
+  </locations>
+</target>
similarity index 96%
rename from releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.13.tpd
rename to releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.14.tpd
index 7b1ce22c0ed953077887434e4670cb51ea438f5f..c94b92d41b829cc761d3d6548dbf250e4fac3c22 100644 (file)
@@ -1,8 +1,8 @@
-target "Eclipse 2019-09 (4.13)"
+target "Eclipse 2019-12 (4.14)"
 
 with source allEnvironments
 
-location "https://download.eclipse.org/tools/orbit/downloads/drops/R20190827152740/repository" {
+location "https://download.eclipse.org/tools/orbit/downloads/drops/R20191126223242/repository" {
        com.google.guava
        com.google.guava.source
        org.objectweb.asm
@@ -19,13 +19,19 @@ location "https://download.eclipse.org/tools/orbit/downloads/drops/R201908271527
        org.objectweb.asm.xml.source
 }
 
-location "http://download.eclipse.org/releases/2019-09/" {
+location "http://download.eclipse.org/releases/2019-12/" {
        javax.xml
        org.apache.commons.httpclient
        org.apache.xerces
        org.apache.xml.resolver
        org.apache.xml.serializer
        org.eclipse.draw2d.feature.group
+       org.eclipse.ecf.filetransfer.feature.feature.group
+       org.eclipse.ecf.filetransfer.feature.source.feature.group
+       org.eclipse.ecf.filetransfer.httpclient45.feature.feature.group
+       org.eclipse.ecf.filetransfer.httpclient45.feature.source.feature.group
+       org.eclipse.ecf.filetransfer.ssl.feature.feature.group
+       org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group
        org.eclipse.emf.sdk.feature.group
        org.eclipse.epp.mpc.feature.group
        org.eclipse.epp.mpc.source.feature.group
@@ -56,7 +62,7 @@ location "http://download.eclipse.org/releases/2019-09/" {
        org.eclipse.userstorage.ui.source
 }
 
-location "http://download.eclipse.org/eclipse/updates/4.13/" {
+location "http://download.eclipse.org/eclipse/updates/4.14/" {
        org.apache.httpcomponents.httpclient
        org.apache.httpcomponents.httpclient.source
        org.apache.httpcomponents.httpcore
@@ -81,7 +87,8 @@ location "http://download.eclipse.org/eclipse/updates/4.13/" {
        org.eclipse.swt.tools.feature.feature.group
 }
 
-location "http://download.eclipse.org/rt/ecf/3.14.5/site.p2" {
+/*
+location "http://download.eclipse.org/rt/ecf/3.14.6/site.p2" {
        org.eclipse.ecf.filetransfer.feature.feature.group
        org.eclipse.ecf.filetransfer.feature.source.feature.group
        org.eclipse.ecf.filetransfer.httpclient4.feature.feature.group
@@ -91,6 +98,7 @@ location "http://download.eclipse.org/rt/ecf/3.14.5/site.p2" {
        org.eclipse.ecf.filetransfer.ssl.feature.feature.group
        org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group
 }
+*/
 
 location "http://www.simantics.org/update/nebula/releases/2.2.0/release/" {
        org.eclipse.nebula.cwt.feature.feature.group
similarity index 90%
rename from releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition-4.13.target
rename to releng/org.simantics.sdk.build.targetdefinition/simantics-4.14.target
index bbb4defd9fb5aeabadba0385db856b8a356c612d..9db9ec548b6a67a4e165a2415e2264b149b3ad7b 100644 (file)
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>\r
-<?pde?>\r
-<!-- generated with https://github.com/eclipse-cbi/targetplatform-dsl -->\r
-<target name="Eclipse 2019-09 (4.13)" sequenceNumber="1578920406">\r
-  <locations>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="com.google.guava" version="27.1.0.v20190517-1946"/>\r
-      <unit id="com.google.guava.source" version="27.1.0.v20190517-1946"/>\r
-      <unit id="org.objectweb.asm" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.analysis" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.analysis.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.commons" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.commons.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.tree" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.tree.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.util" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.util.source" version="7.1.0.v20190412-2143"/>\r
-      <unit id="org.objectweb.asm.xml" version="5.0.1.v201404251740"/>\r
-      <unit id="org.objectweb.asm.xml.source" version="5.0.1.v201404251740"/>\r
-      <repository location="https://download.eclipse.org/tools/orbit/downloads/drops/R20190827152740/repository"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="javax.xml" version="1.3.4.v201005080400"/>\r
-      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>\r
-      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>\r
-      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>\r
-      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>\r
-      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>\r
-      <unit id="org.eclipse.emf.sdk.feature.group" version="2.19.0.v20190824-1315"/>\r
-      <unit id="org.eclipse.epp.mpc.feature.group" version="1.8.0.v20190725-1807"/>\r
-      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.8.0.v20190725-1807"/>\r
-      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.net" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.net.source" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.16.0.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.24.2.v20180905-0014"/>\r
-      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.24.2.v20180904-2231"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.24.2.v20180905-0003"/>\r
-      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.33.201907111840"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.33.20190711143914"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.33.20190711143914"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.33.201907111840"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.33.20190711143914"/>\r
-      <unit id="org.eclipse.userstorage.feature.group" version="1.2.0.v20190308-0433"/>\r
-      <unit id="org.eclipse.userstorage.oauth" version="1.1.0.v20190307-0457"/>\r
-      <unit id="org.eclipse.userstorage.oauth.source" version="1.1.0.v20190307-0457"/>\r
-      <unit id="org.eclipse.userstorage.source" version="1.2.0.v20190307-0457"/>\r
-      <unit id="org.eclipse.userstorage.ui.source" version="1.1.0.v20190307-0457"/>\r
-      <repository location="http://download.eclipse.org/releases/2019-09/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.apache.httpcomponents.httpclient" version="4.5.6.v20190213-1430"/>\r
-      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.6.v20190213-1430"/>\r
-      <unit id="org.apache.httpcomponents.httpcore" version="4.4.10.v20190123-2214"/>\r
-      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.10.v20190123-2214"/>\r
-      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.600.v20190830-1434"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.13.0.v20190710-1453"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.13.0.v20190710-1453"/>\r
-      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.5.3.v20190423-0625"/>\r
-      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.5.3.v20190423-0625"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.200.v20190502-0212"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.200.v20190502-0212"/>\r
-      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.2.300.v20190716-0825"/>\r
-      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.19.0.v20190907-0428"/>\r
-      <unit id="org.eclipse.help.feature.group" version="2.2.700.v20190916-1045"/>\r
-      <unit id="org.eclipse.help.source.feature.group" version="2.2.700.v20190916-1045"/>\r
-      <unit id="org.eclipse.platform.feature.group" version="4.13.0.v20190916-1323"/>\r
-      <unit id="org.eclipse.platform.source.feature.group" version="4.13.0.v20190916-1323"/>\r
-      <unit id="org.eclipse.rcp.feature.group" version="4.13.0.v20190916-1045"/>\r
-      <unit id="org.eclipse.rcp.source.feature.group" version="4.13.0.v20190916-1045"/>\r
-      <unit id="org.eclipse.releng.tools.feature.group" version="3.10.500.v20190715-1949"/>\r
-      <unit id="org.eclipse.sdk.ide" version="4.13.0.I20190916-1045"/>\r
-      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.107.500.v20190705-0858"/>\r
-      <repository location="http://download.eclipse.org/eclipse/updates/4.13/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.14.5.v20190423-0614"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.14.5.v20190423-0614"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.feature.group" version="3.14.5.v20190502-0212"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.source.feature.group" version="3.14.5.v20190502-0212"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.source.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.100.v20180301-0132"/>\r
-      <repository location="http://download.eclipse.org/rt/ecf/3.14.5/site.p2"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201907151344"/>\r
-      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.feature.feature.group" version="2.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.4.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.ctreecombo.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.floatingtext.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.geomap.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.nebulaslider.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.breadcrumb.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.calculator.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.checkboxgroup.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.columnbrowser.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.commons.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.dialog.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.duallist.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.header.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.heapmanager.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.horizontalspinner.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.launcher.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.logindialog.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.multichoice.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.notifier.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.panels.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.preferencewindow.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.promptsupport.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.propertytable.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.rangeslider.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.roundedtoolbar.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.starrating.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.switchbutton.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.textassist.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.titledseparator.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.opal.tipoftheday.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.4.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.passwordrevealer.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.progresscircle.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.3.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.splitbutton.feature.feature.group" version="1.0.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.2.0.201907151344"/>\r
-      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.1.0.201907151344"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/release/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.6.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.6.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.2.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.2.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.6.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.6.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.2.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.2.0.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.1.201909181823"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.1.201909181823"/>\r
-      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.6.0/repository/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.18.0.v20200110-1352"/>\r
-      <repository location="https://download.eclipse.org/e4/snapshots/org.eclipse.e4.tools/latest/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201806070735"/>\r
-      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201806070735"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/incubation/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>\r
-      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>\r
-      <unit id="ch.qos.logback.classic" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core.source" version="1.2.3"/>\r
-      <unit id="com.google.android.annotations" version="4.1.1.4"/>\r
-      <unit id="com.google.android.annotations.source" version="4.1.1.4"/>\r
-      <unit id="com.google.api.grpc.proto-google-common-protos" version="1.12.0"/>\r
-      <unit id="com.google.api.grpc.proto-google-common-protos.source" version="1.12.0"/>\r
-      <unit id="com.google.errorprone.error_prone_annotations" version="2.3.2"/>\r
-      <unit id="com.google.errorprone.error_prone_annotations.source" version="2.3.2"/>\r
-      <unit id="com.google.gson" version="2.7.0"/>\r
-      <unit id="com.google.gson.source" version="2.7.0"/>\r
-      <unit id="com.google.protobuf" version="3.7.1"/>\r
-      <unit id="com.google.protobuf.source" version="3.7.1"/>\r
-      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>\r
-      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>\r
-      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>\r
-      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>\r
-      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.koloboke.compile" version="0.5.1"/>\r
-      <unit id="com.koloboke.compile.source" version="0.5.1"/>\r
-      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.lowagie.text" version="2.1.7.b1"/>\r
-      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>\r
-      <unit id="com.sun.jna" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform.source" version="4.3.0"/>\r
-      <unit id="com.sun.jna.source" version="4.3.0"/>\r
-      <unit id="freemarker" version="2.3.23.stable"/>\r
-      <unit id="freemarker.source" version="2.3.23.stable"/>\r
-      <unit id="gnu.trove3" version="3.0.3"/>\r
-      <unit id="gnu.trove3.source" version="3.0.3"/>\r
-      <unit id="io.netty.buffer" version="4.1.35.Final"/>\r
-      <unit id="io.netty.buffer.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http2" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-http2.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-socks" version="4.1.35.Final"/>\r
-      <unit id="io.netty.codec-socks.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.common" version="4.1.35.Final"/>\r
-      <unit id="io.netty.common.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler-proxy" version="4.1.35.Final"/>\r
-      <unit id="io.netty.handler-proxy.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.resolver" version="4.1.35.Final"/>\r
-      <unit id="io.netty.resolver.source" version="4.1.35.Final"/>\r
-      <unit id="io.netty.transport" version="4.1.35.Final"/>\r
-      <unit id="io.netty.transport.source" version="4.1.35.Final"/>\r
-      <unit id="io.opencensus.api" version="0.21.0"/>\r
-      <unit id="io.opencensus.api.source" version="0.21.0"/>\r
-      <unit id="io.opencensus.contrib-grpc-metrics" version="0.21.0"/>\r
-      <unit id="io.opencensus.contrib-grpc-metrics.source" version="0.21.0"/>\r
-      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>\r
-      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>\r
-      <unit id="jakarta-regexp" version="1.4.0"/>\r
-      <unit id="javassist" version="3.20.0.GA"/>\r
-      <unit id="javassist.source" version="3.20.0.GA"/>\r
-      <unit id="javax.servlet-api" version="3.1.0"/>\r
-      <unit id="javax.servlet-api.source" version="3.1.0"/>\r
-      <unit id="javax.validation.api" version="1.1.0.Final"/>\r
-      <unit id="javax.validation.api.source" version="1.1.0.Final"/>\r
-      <unit id="javax.ws.rs-api" version="2.0.1"/>\r
-      <unit id="javax.ws.rs-api.source" version="2.0.1"/>\r
-      <unit id="net.jcip.annotations" version="1.0.0"/>\r
-      <unit id="net.jcip.annotations.source" version="1.0.0"/>\r
-      <unit id="net.ucanaccess" version="3.0.7"/>\r
-      <unit id="net.ucanaccess.source" version="3.0.7"/>\r
-      <unit id="org.antlr.runtime" version="3.5.2"/>\r
-      <unit id="org.antlr.runtime.source" version="3.5.2"/>\r
-      <unit id="org.apache.aries.spifly.core-internal" version="1.0.14"/>\r
-      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.14"/>\r
-      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.14"/>\r
-      <unit id="org.apache.aries.util" version="1.0.0"/>\r
-      <unit id="org.apache.commons.codec" version="1.10.0"/>\r
-      <unit id="org.apache.commons.codec.source" version="1.10.0"/>\r
-      <unit id="org.apache.commons.collections" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections.source" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections4" version="4.1.0"/>\r
-      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>\r
-      <unit id="org.apache.commons.compress" version="1.18.0"/>\r
-      <unit id="org.apache.commons.compress.source" version="1.18.0"/>\r
-      <unit id="org.apache.commons.io" version="2.4.0"/>\r
-      <unit id="org.apache.commons.io.source" version="2.4.0"/>\r
-      <unit id="org.apache.commons.lang" version="2.6.0"/>\r
-      <unit id="org.apache.commons.lang.source" version="2.6.0"/>\r
-      <unit id="org.apache.commons.logging" version="1.2.0"/>\r
-      <unit id="org.apache.commons.logging.source" version="1.2.0"/>\r
-      <unit id="org.apache.commons.math3" version="3.6.1"/>\r
-      <unit id="org.apache.commons.math3.source" version="3.6.1"/>\r
-      <unit id="org.apache.log4j" version="1.2.17"/>\r
-      <unit id="org.apache.log4j.source" version="1.2.17"/>\r
-      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.pdfbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api" version="9.2.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="9.2.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections" version="9.2.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections.source" version="9.2.0"/>\r
-      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>\r
-      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>\r
-      <unit id="com.github.benmanes.caffeine" version="2.6.2"/>\r
-      <unit id="com.github.benmanes.caffeine.source" version="2.6.2"/>\r
-      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>\r
-      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>\r
-      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>\r
-      <unit id="org.ini4j" version="0.5.4"/>\r
-      <unit id="org.ini4j.source" version="0.5.4"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="jaxen" version="1.1.6"/>\r
-      <unit id="jaxen.source" version="1.1.6"/>\r
-      <unit id="org.jdom2" version="2.0.6.b0001"/>\r
-      <unit id="org.jdom2.source" version="2.0.6.b0001"/>\r
-      <unit id="org.jfree.jchart" version="1.0.19"/>\r
-      <unit id="org.jfree.jchart.source" version="1.0.19"/>\r
-      <unit id="org.jfree.jcommon" version="1.0.23"/>\r
-      <unit id="org.jfree.jcommon.source" version="1.0.23"/>\r
-      <unit id="org.jsoup" version="1.11.3"/>\r
-      <unit id="org.jsoup.source" version="1.11.3"/>\r
-      <unit id="org.jvnet.mimepull" version="1.9.6"/>\r
-      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>\r
-      <unit id="org.mozilla.rhino" version="1.7.7.1"/>\r
-      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>\r
-      <unit id="org.objenesis" version="2.2.0"/>\r
-      <unit id="org.objenesis.source" version="2.2.0"/>\r
-      <unit id="org.slf4j.api" version="1.7.25.b001"/>\r
-      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>\r
-      <unit id="org.supercsv" version="2.4.0"/>\r
-      <unit id="org.supercsv.source" version="2.4.0"/>\r
-      <unit id="org.yaml.snakeyaml" version="1.23.0"/>\r
-      <unit id="org.yaml.snakeyaml.source" version="1.23.0"/>\r
-      <unit id="org.zeroturnaround.zt-exec" version="1.10.0"/>\r
-      <unit id="org.zeroturnaround.zt-exec.source" version="1.10.0"/>\r
-      <unit id="pgjdbc-ng" version="0.7.1"/>\r
-      <unit id="pgjdbc-ng.source" version="0.7.1"/>\r
-      <unit id="stax2-api" version="3.1.4"/>\r
-      <unit id="stax2-api.source" version="3.1.4"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/maven"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.apache.batik" version="1.8.0.201611220734"/>\r
-      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>\r
-      <unit id="io.grpc.feature.feature.group" version="1.21.0.201906191442"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/manual"/>\r
-    </location>\r
-  </locations>\r
-</target>\r
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?pde?>
+<!-- generated with https://github.com/eclipse-cbi/targetplatform-dsl -->
+<target name="Simantics 1.42.0" sequenceNumber="1579161722">
+  <locations>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="com.google.guava" version="27.1.0.v20190517-1946"/>
+      <unit id="com.google.guava.source" version="27.1.0.v20190517-1946"/>
+      <unit id="org.objectweb.asm" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.analysis" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.analysis.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.commons" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.commons.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.tree" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.tree.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.util" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.util.source" version="7.2.0.v20191010-1910"/>
+      <unit id="org.objectweb.asm.xml" version="5.0.1.v201404251740"/>
+      <unit id="org.objectweb.asm.xml.source" version="5.0.1.v201404251740"/>
+      <repository location="https://download.eclipse.org/tools/orbit/downloads/drops/R20191126223242/repository"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="javax.xml" version="1.3.4.v201005080400"/>
+      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
+      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>
+      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>
+      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>
+      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.14.600.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.14.600.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient45.feature.feature.group" version="1.0.100.v20191024-1546"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient45.feature.source.feature.group" version="1.0.100.v20191024-1546"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.200.v20191024-1546"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.200.v20191024-1546"/>
+      <unit id="org.eclipse.emf.sdk.feature.group" version="2.20.0.v20191028-0905"/>
+      <unit id="org.eclipse.epp.mpc.feature.group" version="1.8.1.v20191106-1317"/>
+      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.8.1.v20191106-1317"/>
+      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.net" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.net.source" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.16.0.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.24.2.v20180905-0014"/>
+      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.24.2.v20180904-2231"/>
+      <unit id="org.eclipse.mylyn.tasks.core" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.tasks.ui" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.24.2.v20180905-0003"/>
+      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.35.201912061959"/>
+      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.35.20191206145759"/>
+      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.35.20191206145759"/>
+      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.35.201912061959"/>
+      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.35.20191206145759"/>
+      <unit id="org.eclipse.userstorage.feature.group" version="1.2.0.v20191120-1614"/>
+      <unit id="org.eclipse.userstorage.oauth" version="1.1.0.v20190307-0457"/>
+      <unit id="org.eclipse.userstorage.oauth.source" version="1.1.0.v20190307-0457"/>
+      <unit id="org.eclipse.userstorage.source" version="1.2.0.v20190307-0457"/>
+      <unit id="org.eclipse.userstorage.ui.source" version="1.1.0.v20190307-0457"/>
+      <repository location="http://download.eclipse.org/releases/2019-12/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.httpcomponents.httpclient" version="4.5.6.v20190503-0009"/>
+      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.6.v20190503-0009"/>
+      <unit id="org.apache.httpcomponents.httpcore" version="4.4.10.v20190123-2214"/>
+      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.10.v20190123-2214"/>
+      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.700.v20191122-2104"/>
+      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.14.0.v20191115-2149"/>
+      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.14.0.v20191115-2149"/>
+      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.5.400.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.5.400.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.300.v20191023-2007"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.300.v20191023-2007"/>
+      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.2.400.v20191014-1907"/>
+      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.20.0.v20191122-2104"/>
+      <unit id="org.eclipse.help.feature.group" version="2.3.0.v20191210-0610"/>
+      <unit id="org.eclipse.help.source.feature.group" version="2.3.0.v20191210-0610"/>
+      <unit id="org.eclipse.platform.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.platform.source.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.rcp.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.rcp.source.feature.group" version="4.14.0.v20191210-0610"/>
+      <unit id="org.eclipse.releng.tools.feature.group" version="3.10.600.v20190918-0543"/>
+      <unit id="org.eclipse.sdk.ide" version="4.14.0.I20191210-0610"/>
+      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.107.600.v20191004-1502"/>
+      <repository location="http://download.eclipse.org/eclipse/updates/4.14/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201907151344"/>
+      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.feature.feature.group" version="2.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.4.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.ctreecombo.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.floatingtext.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.geomap.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.1.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.nebulaslider.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.breadcrumb.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.calculator.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.checkboxgroup.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.columnbrowser.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.commons.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.dialog.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.duallist.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.header.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.heapmanager.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.horizontalspinner.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.launcher.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.logindialog.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.multichoice.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.notifier.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.panels.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.preferencewindow.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.promptsupport.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.propertytable.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.rangeslider.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.roundedtoolbar.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.starrating.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.switchbutton.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.textassist.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.titledseparator.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.opal.tipoftheday.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.4.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.passwordrevealer.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.progresscircle.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.3.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.splitbutton.feature.feature.group" version="1.0.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.2.0.201907151344"/>
+      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.1.0.201907151344"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/release/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.6.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.2.0.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.1.201909181823"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.1.201909181823"/>
+      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.6.0/repository/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.18.0.v20200110-1352"/>
+      <repository location="https://download.eclipse.org/e4/snapshots/org.eclipse.e4.tools/latest/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201806070735"/>
+      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201806070735"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/2.2.0/incubation/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>
+      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>
+      <unit id="ch.qos.logback.classic" version="1.2.3"/>
+      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>
+      <unit id="ch.qos.logback.core" version="1.2.3"/>
+      <unit id="ch.qos.logback.core.source" version="1.2.3"/>
+      <unit id="com.google.android.annotations" version="4.1.1.4"/>
+      <unit id="com.google.android.annotations.source" version="4.1.1.4"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos" version="1.12.0"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos.source" version="1.12.0"/>
+      <unit id="com.google.errorprone.error_prone_annotations" version="2.3.2"/>
+      <unit id="com.google.errorprone.error_prone_annotations.source" version="2.3.2"/>
+      <unit id="com.google.gson" version="2.7.0"/>
+      <unit id="com.google.gson.source" version="2.7.0"/>
+      <unit id="com.google.protobuf" version="3.7.1"/>
+      <unit id="com.google.protobuf.source" version="3.7.1"/>
+      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>
+      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>
+      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>
+      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>
+      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>
+      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>
+      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>
+      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>
+      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>
+      <unit id="com.koloboke.compile" version="0.5.1"/>
+      <unit id="com.koloboke.compile.source" version="0.5.1"/>
+      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>
+      <unit id="com.lowagie.text" version="2.1.7.b1"/>
+      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>
+      <unit id="com.sun.jna" version="4.3.0"/>
+      <unit id="com.sun.jna.platform" version="4.3.0"/>
+      <unit id="com.sun.jna.platform.source" version="4.3.0"/>
+      <unit id="com.sun.jna.source" version="4.3.0"/>
+      <unit id="freemarker" version="2.3.23.stable"/>
+      <unit id="freemarker.source" version="2.3.23.stable"/>
+      <unit id="gnu.trove3" version="3.0.3"/>
+      <unit id="gnu.trove3.source" version="3.0.3"/>
+      <unit id="io.netty.buffer" version="4.1.35.Final"/>
+      <unit id="io.netty.buffer.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec" version="4.1.35.Final"/>
+      <unit id="io.netty.codec.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http2" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-http2.source" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-socks" version="4.1.35.Final"/>
+      <unit id="io.netty.codec-socks.source" version="4.1.35.Final"/>
+      <unit id="io.netty.common" version="4.1.35.Final"/>
+      <unit id="io.netty.common.source" version="4.1.35.Final"/>
+      <unit id="io.netty.handler" version="4.1.35.Final"/>
+      <unit id="io.netty.handler.source" version="4.1.35.Final"/>
+      <unit id="io.netty.handler-proxy" version="4.1.35.Final"/>
+      <unit id="io.netty.handler-proxy.source" version="4.1.35.Final"/>
+      <unit id="io.netty.resolver" version="4.1.35.Final"/>
+      <unit id="io.netty.resolver.source" version="4.1.35.Final"/>
+      <unit id="io.netty.transport" version="4.1.35.Final"/>
+      <unit id="io.netty.transport.source" version="4.1.35.Final"/>
+      <unit id="io.opencensus.api" version="0.21.0"/>
+      <unit id="io.opencensus.api.source" version="0.21.0"/>
+      <unit id="io.opencensus.contrib-grpc-metrics" version="0.21.0"/>
+      <unit id="io.opencensus.contrib-grpc-metrics.source" version="0.21.0"/>
+      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>
+      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>
+      <unit id="jakarta-regexp" version="1.4.0"/>
+      <unit id="javassist" version="3.20.0.GA"/>
+      <unit id="javassist.source" version="3.20.0.GA"/>
+      <unit id="javax.servlet-api" version="3.1.0"/>
+      <unit id="javax.servlet-api.source" version="3.1.0"/>
+      <unit id="javax.validation.api" version="1.1.0.Final"/>
+      <unit id="javax.validation.api.source" version="1.1.0.Final"/>
+      <unit id="javax.ws.rs-api" version="2.0.1"/>
+      <unit id="javax.ws.rs-api.source" version="2.0.1"/>
+      <unit id="net.jcip.annotations" version="1.0.0"/>
+      <unit id="net.jcip.annotations.source" version="1.0.0"/>
+      <unit id="net.ucanaccess" version="3.0.7"/>
+      <unit id="net.ucanaccess.source" version="3.0.7"/>
+      <unit id="org.antlr.runtime" version="3.5.2"/>
+      <unit id="org.antlr.runtime.source" version="3.5.2"/>
+      <unit id="org.apache.aries.spifly.core-internal" version="1.0.14"/>
+      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.14"/>
+      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.14"/>
+      <unit id="org.apache.aries.util" version="1.0.0"/>
+      <unit id="org.apache.commons.codec" version="1.10.0"/>
+      <unit id="org.apache.commons.codec.source" version="1.10.0"/>
+      <unit id="org.apache.commons.collections" version="3.2.2"/>
+      <unit id="org.apache.commons.collections.source" version="3.2.2"/>
+      <unit id="org.apache.commons.collections4" version="4.1.0"/>
+      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>
+      <unit id="org.apache.commons.compress" version="1.18.0"/>
+      <unit id="org.apache.commons.compress.source" version="1.18.0"/>
+      <unit id="org.apache.commons.io" version="2.4.0"/>
+      <unit id="org.apache.commons.io.source" version="2.4.0"/>
+      <unit id="org.apache.commons.lang" version="2.6.0"/>
+      <unit id="org.apache.commons.lang.source" version="2.6.0"/>
+      <unit id="org.apache.commons.logging" version="1.2.0"/>
+      <unit id="org.apache.commons.logging.source" version="1.2.0"/>
+      <unit id="org.apache.commons.math3" version="3.6.1"/>
+      <unit id="org.apache.commons.math3.source" version="3.6.1"/>
+      <unit id="org.apache.log4j" version="1.2.17"/>
+      <unit id="org.apache.log4j.source" version="1.2.17"/>
+      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.pdfbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>
+      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api" version="9.2.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="9.2.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections" version="9.2.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections.source" version="9.2.0"/>
+      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>
+      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>
+      <unit id="com.github.benmanes.caffeine" version="2.6.2"/>
+      <unit id="com.github.benmanes.caffeine.source" version="2.6.2"/>
+      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>
+      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>
+      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>
+      <unit id="org.ini4j" version="0.5.4"/>
+      <unit id="org.ini4j.source" version="0.5.4"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="jaxen" version="1.1.6"/>
+      <unit id="jaxen.source" version="1.1.6"/>
+      <unit id="org.jdom2" version="2.0.6.b0001"/>
+      <unit id="org.jdom2.source" version="2.0.6.b0001"/>
+      <unit id="org.jfree.jchart" version="1.0.19"/>
+      <unit id="org.jfree.jchart.source" version="1.0.19"/>
+      <unit id="org.jfree.jcommon" version="1.0.23"/>
+      <unit id="org.jfree.jcommon.source" version="1.0.23"/>
+      <unit id="org.jsoup" version="1.11.3"/>
+      <unit id="org.jsoup.source" version="1.11.3"/>
+      <unit id="org.jvnet.mimepull" version="1.9.6"/>
+      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>
+      <unit id="org.mozilla.rhino" version="1.7.7.1"/>
+      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>
+      <unit id="org.objenesis" version="2.2.0"/>
+      <unit id="org.objenesis.source" version="2.2.0"/>
+      <unit id="org.slf4j.api" version="1.7.25.b001"/>
+      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>
+      <unit id="org.supercsv" version="2.4.0"/>
+      <unit id="org.supercsv.source" version="2.4.0"/>
+      <unit id="org.yaml.snakeyaml" version="1.23.0"/>
+      <unit id="org.yaml.snakeyaml.source" version="1.23.0"/>
+      <unit id="org.zeroturnaround.zt-exec" version="1.10.0"/>
+      <unit id="org.zeroturnaround.zt-exec.source" version="1.10.0"/>
+      <unit id="pgjdbc-ng" version="0.7.1"/>
+      <unit id="pgjdbc-ng.source" version="0.7.1"/>
+      <unit id="stax2-api" version="3.1.4"/>
+      <unit id="stax2-api.source" version="3.1.4"/>
+      <repository location="http://www.simantics.org/download/master/external-components/maven"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.batik" version="1.8.0.201611220734"/>
+      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>
+      <unit id="io.grpc.feature.feature.group" version="1.21.0.201906191442"/>
+      <repository location="http://www.simantics.org/download/master/external-components/manual"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.simantics.sdk.feature.group" version="0.0.0"/>
+      <unit id="org.simantics.sdk.source.feature.group" version="0.0.0"/>
+      <repository location="http://www.simantics.org/download/master/sdk"/>
+    </location>
+  </locations>
+</target>
similarity index 55%
rename from releng/org.simantics.sdk.build.targetdefinition/simantics-4.13.tpd
rename to releng/org.simantics.sdk.build.targetdefinition/simantics-4.14.tpd
index 6228efd13c1a1524d1f9d0e617292374a9a8f2ca..7c616efe9c605855fb97153d2349ceb161646ac0 100644 (file)
@@ -2,8 +2,8 @@ target "Simantics 1.42.0"
 
 with source allEnvironments
 
-//include "http://www.simantics.org/download/master/org.simantics.sdk.build.targetdefinition.tpd"
-include "org.simantics.sdk.build.targetdefinition-4.13.tpd"
+include "http://www.simantics.org/download/master/org.simantics.sdk.build.targetdefinition-4.14.tpd"
+//include "org.simantics.sdk.build.targetdefinition-4.14.tpd"
 
 location "http://www.simantics.org/download/master/sdk" {
        org.simantics.sdk.feature.group lazy